org.jboss.jca.core.tracer

## Class TraceEvent

- java.lang.Object
- - org.jboss.jca.core.tracer.TraceEvent

-     public class TraceEvent
      extends java.lang.Object

  A trace event
  Author:
    Jesper Pedersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CCM_USER_TRANSACTION` CCM user transaction
    `static int` | `CLEAR_CONNECTION` Clear connection
    `static int` | `CLEAR_CONNECTION_LISTENER` Clear connection listener
    `static int` | `CLOSE_CCM_CONNECTION` Close CCM connection
    `static int` | `CREATE_CONNECTION_LISTENER_GET` Create connection listner (GET)
    `static int` | `CREATE_CONNECTION_LISTENER_INCREMENTER` Create connection listner (INCREMENTER)
    `static int` | `CREATE_CONNECTION_LISTENER_PREFILL` Create connection listner (PREFILL)
    `static int` | `DELIST_CONNECTION_LISTENER` Delist connection listener
    `static int` | `DELIST_CONNECTION_LISTENER_FAILED` Delist connection listener (Failed)
    `static int` | `DELIST_INTERLEAVING_CONNECTION_LISTENER` Delist interleaving connection listener
    `static int` | `DELIST_INTERLEAVING_CONNECTION_LISTENER_FAILED` Delist interleaving connection listener (Failed)
    `static int` | `DELIST_ROLLEDBACK_CONNECTION_LISTENER` Delist rollbacked connection listener
    `static int` | `DELIST_ROLLEDBACK_CONNECTION_LISTENER_FAILED` Delist rollbacked connection listener (Failed)
    `static int` | `DESTROY_CONNECTION_LISTENER_ERROR` Destroy connection listner (ERROR)
    `static int` | `DESTROY_CONNECTION_LISTENER_FLUSH` Destroy connection listner (FLUSH)
    `static int` | `DESTROY_CONNECTION_LISTENER_IDLE` Destroy connection listner (IDLE)
    `static int` | `DESTROY_CONNECTION_LISTENER_INCREMENTER` Destroy connection listner (INCREMENTER)
    `static int` | `DESTROY_CONNECTION_LISTENER_INVALID` Destroy connection listner (INVALID)
    `static int` | `DESTROY_CONNECTION_LISTENER_PREFILL` Destroy connection listner (PREFILL)
    `static int` | `DESTROY_CONNECTION_LISTENER_RETURN` Destroy connection listner (RETURN)
    `static int` | `ENLIST_CONNECTION_LISTENER` Enlist connection listener
    `static int` | `ENLIST_CONNECTION_LISTENER_FAILED` Enlist connection listener (Failed)
    `static int` | `ENLIST_INTERLEAVING_CONNECTION_LISTENER` Enlist interleaving connection listener
    `static int` | `ENLIST_INTERLEAVING_CONNECTION_LISTENER_FAILED` Enlist interleaving connection listener (Failed)
    `static int` | `EXCEPTION` Exception
    `static int` | `GET_CONNECTION` Get connection
    `static int` | `GET_CONNECTION_LISTENER` Get connection listener
    `static int` | `GET_CONNECTION_LISTENER_NEW` Get connection listener (New)
    `static int` | `GET_INTERLEAVING_CONNECTION_LISTENER` Get interleaving connection listener
    `static int` | `GET_INTERLEAVING_CONNECTION_LISTENER_NEW` Get connection listener interleaving (New)
    `static int` | `MANAGED_CONNECTION_POOL_CREATE` Managed connection pool create
    `static int` | `MANAGED_CONNECTION_POOL_DESTROY` Managed connection pool destroy
    `static int` | `POP_CCM_CONTEXT` Pop CCM context
    `static int` | `PUSH_CCM_CONTEXT` Push CCM context
    `static int` | `REGISTER_CCM_CONNECTION` Register CCM connection
    `static int` | `RETURN_CONNECTION` Return connection
    `static int` | `RETURN_CONNECTION_LISTENER` Return connection listener
    `static int` | `RETURN_CONNECTION_LISTENER_WITH_KILL` Return connection listener with kill
    `static int` | `RETURN_INTERLEAVING_CONNECTION_LISTENER` Return interleaving connection listener
    `static int` | `RETURN_INTERLEAVING_CONNECTION_LISTENER_WITH_KILL` Return interleaving connection listener with kill
    `static int` | `UNKNOWN_CCM_CONNECTION` Unknown CCM connection
    `static int` | `UNREGISTER_CCM_CONNECTION` Unregister CCM connection
    `static int` | `VERSION` Version

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `asText(TraceEvent event)` As text
    `java.lang.String` | `getConnectionListener()` Get the connection listener
    `java.lang.String` | `getManagedConnectionPool()` Get the managed connection pool
    `java.lang.String` | `getPayload1()` Get the first payload
    `java.lang.String` | `getPayload2()` Get the second payload
    `java.lang.String` | `getPool()` Get the pool
    `long` | `getThreadId()` Get the thread id
    `long` | `getTimestamp()` Get the timestamp
    `int` | `getType()` Get the type
    `static TraceEvent` | `parse(java.lang.String data)` Parse a trace event
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### GET_CONNECTION_LISTENER

          public static final int GET_CONNECTION_LISTENER

      Get connection listener
      See Also:
        Constant Field Values

    - #### GET_CONNECTION_LISTENER_NEW

          public static final int GET_CONNECTION_LISTENER_NEW

      Get connection listener (New)
      See Also:
        Constant Field Values

    - #### GET_INTERLEAVING_CONNECTION_LISTENER

          public static final int GET_INTERLEAVING_CONNECTION_LISTENER

      Get interleaving connection listener
      See Also:
        Constant Field Values

    - #### GET_INTERLEAVING_CONNECTION_LISTENER_NEW

          public static final int GET_INTERLEAVING_CONNECTION_LISTENER_NEW

      Get connection listener interleaving (New)
      See Also:
        Constant Field Values

    - #### RETURN_CONNECTION_LISTENER

          public static final int RETURN_CONNECTION_LISTENER

      Return connection listener
      See Also:
        Constant Field Values

    - #### RETURN_CONNECTION_LISTENER_WITH_KILL

          public static final int RETURN_CONNECTION_LISTENER_WITH_KILL

      Return connection listener with kill
      See Also:
        Constant Field Values

    - #### RETURN_INTERLEAVING_CONNECTION_LISTENER

          public static final int RETURN_INTERLEAVING_CONNECTION_LISTENER

      Return interleaving connection listener
      See Also:
        Constant Field Values

    - #### RETURN_INTERLEAVING_CONNECTION_LISTENER_WITH_KILL

          public static final int RETURN_INTERLEAVING_CONNECTION_LISTENER_WITH_KILL

      Return interleaving connection listener with kill
      See Also:
        Constant Field Values

    - #### CLEAR_CONNECTION_LISTENER

          public static final int CLEAR_CONNECTION_LISTENER

      Clear connection listener
      See Also:
        Constant Field Values

    - #### ENLIST_CONNECTION_LISTENER

          public static final int ENLIST_CONNECTION_LISTENER

      Enlist connection listener
      See Also:
        Constant Field Values

    - #### ENLIST_CONNECTION_LISTENER_FAILED

          public static final int ENLIST_CONNECTION_LISTENER_FAILED

      Enlist connection listener (Failed)
      See Also:
        Constant Field Values

    - #### ENLIST_INTERLEAVING_CONNECTION_LISTENER

          public static final int ENLIST_INTERLEAVING_CONNECTION_LISTENER

      Enlist interleaving connection listener
      See Also:
        Constant Field Values

    - #### ENLIST_INTERLEAVING_CONNECTION_LISTENER_FAILED

          public static final int ENLIST_INTERLEAVING_CONNECTION_LISTENER_FAILED

      Enlist interleaving connection listener (Failed)
      See Also:
        Constant Field Values

    - #### DELIST_CONNECTION_LISTENER

          public static final int DELIST_CONNECTION_LISTENER

      Delist connection listener
      See Also:
        Constant Field Values

    - #### DELIST_CONNECTION_LISTENER_FAILED

          public static final int DELIST_CONNECTION_LISTENER_FAILED

      Delist connection listener (Failed)
      See Also:
        Constant Field Values

    - #### DELIST_INTERLEAVING_CONNECTION_LISTENER

          public static final int DELIST_INTERLEAVING_CONNECTION_LISTENER

      Delist interleaving connection listener
      See Also:
        Constant Field Values

    - #### DELIST_INTERLEAVING_CONNECTION_LISTENER_FAILED

          public static final int DELIST_INTERLEAVING_CONNECTION_LISTENER_FAILED

      Delist interleaving connection listener (Failed)
      See Also:
        Constant Field Values

    - #### DELIST_ROLLEDBACK_CONNECTION_LISTENER

          public static final int DELIST_ROLLEDBACK_CONNECTION_LISTENER

      Delist rollbacked connection listener
      See Also:
        Constant Field Values

    - #### DELIST_ROLLEDBACK_CONNECTION_LISTENER_FAILED

          public static final int DELIST_ROLLEDBACK_CONNECTION_LISTENER_FAILED

      Delist rollbacked connection listener (Failed)
      See Also:
        Constant Field Values

    - #### GET_CONNECTION

          public static final int GET_CONNECTION

      Get connection
      See Also:
        Constant Field Values

    - #### RETURN_CONNECTION

          public static final int RETURN_CONNECTION

      Return connection
      See Also:
        Constant Field Values

    - #### CLEAR_CONNECTION

          public static final int CLEAR_CONNECTION

      Clear connection
      See Also:
        Constant Field Values

    - #### EXCEPTION

          public static final int EXCEPTION

      Exception
      See Also:
        Constant Field Values

    - #### CREATE_CONNECTION_LISTENER_GET

          public static final int CREATE_CONNECTION_LISTENER_GET

      Create connection listner (GET)
      See Also:
        Constant Field Values

    - #### CREATE_CONNECTION_LISTENER_PREFILL

          public static final int CREATE_CONNECTION_LISTENER_PREFILL

      Create connection listner (PREFILL)
      See Also:
        Constant Field Values

    - #### CREATE_CONNECTION_LISTENER_INCREMENTER

          public static final int CREATE_CONNECTION_LISTENER_INCREMENTER

      Create connection listner (INCREMENTER)
      See Also:
        Constant Field Values

    - #### DESTROY_CONNECTION_LISTENER_RETURN

          public static final int DESTROY_CONNECTION_LISTENER_RETURN

      Destroy connection listner (RETURN)
      See Also:
        Constant Field Values

    - #### DESTROY_CONNECTION_LISTENER_IDLE

          public static final int DESTROY_CONNECTION_LISTENER_IDLE

      Destroy connection listner (IDLE)
      See Also:
        Constant Field Values

    - #### DESTROY_CONNECTION_LISTENER_INVALID

          public static final int DESTROY_CONNECTION_LISTENER_INVALID

      Destroy connection listner (INVALID)
      See Also:
        Constant Field Values

    - #### DESTROY_CONNECTION_LISTENER_FLUSH

          public static final int DESTROY_CONNECTION_LISTENER_FLUSH

      Destroy connection listner (FLUSH)
      See Also:
        Constant Field Values

    - #### DESTROY_CONNECTION_LISTENER_ERROR

          public static final int DESTROY_CONNECTION_LISTENER_ERROR

      Destroy connection listner (ERROR)
      See Also:
        Constant Field Values

    - #### DESTROY_CONNECTION_LISTENER_PREFILL

          public static final int DESTROY_CONNECTION_LISTENER_PREFILL

      Destroy connection listner (PREFILL)
      See Also:
        Constant Field Values

    - #### DESTROY_CONNECTION_LISTENER_INCREMENTER

          public static final int DESTROY_CONNECTION_LISTENER_INCREMENTER

      Destroy connection listner (INCREMENTER)
      See Also:
        Constant Field Values

    - #### MANAGED_CONNECTION_POOL_CREATE

          public static final int MANAGED_CONNECTION_POOL_CREATE

      Managed connection pool create
      See Also:
        Constant Field Values

    - #### MANAGED_CONNECTION_POOL_DESTROY

          public static final int MANAGED_CONNECTION_POOL_DESTROY

      Managed connection pool destroy
      See Also:
        Constant Field Values

    - #### PUSH_CCM_CONTEXT

          public static final int PUSH_CCM_CONTEXT

      Push CCM context
      See Also:
        Constant Field Values

    - #### POP_CCM_CONTEXT

          public static final int POP_CCM_CONTEXT

      Pop CCM context
      See Also:
        Constant Field Values

    - #### REGISTER_CCM_CONNECTION

          public static final int REGISTER_CCM_CONNECTION

      Register CCM connection
      See Also:
        Constant Field Values

    - #### UNREGISTER_CCM_CONNECTION

          public static final int UNREGISTER_CCM_CONNECTION

      Unregister CCM connection
      See Also:
        Constant Field Values

    - #### CCM_USER_TRANSACTION

          public static final int CCM_USER_TRANSACTION

      CCM user transaction
      See Also:
        Constant Field Values

    - #### UNKNOWN_CCM_CONNECTION

          public static final int UNKNOWN_CCM_CONNECTION

      Unknown CCM connection
      See Also:
        Constant Field Values

    - #### CLOSE_CCM_CONNECTION

          public static final int CLOSE_CCM_CONNECTION

      Close CCM connection
      See Also:
        Constant Field Values

    - #### VERSION

          public static final int VERSION

      Version
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPool

          public java.lang.String getPool()

      Get the pool
      Returns:
        The value

    - #### getManagedConnectionPool

          public java.lang.String getManagedConnectionPool()

      Get the managed connection pool
      Returns:
        The value

    - #### getThreadId

          public long getThreadId()

      Get the thread id
      Returns:
        The value

    - #### getType

          public int getType()

      Get the type
      Returns:
        The value

    - #### getTimestamp

          public long getTimestamp()

      Get the timestamp
      Returns:
        The value

    - #### getConnectionListener

          public java.lang.String getConnectionListener()

      Get the connection listener
      Returns:
        The value

    - #### getPayload1

          public java.lang.String getPayload1()

      Get the first payload
      Returns:
        The value

    - #### getPayload2

          public java.lang.String getPayload2()

      Get the second payload
      Returns:
        The value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### asText

          public static java.lang.String asText(TraceEvent event)

      As text
      Parameters:
        `event` - The event
      Returns:
        The text

    - #### parse

          public static TraceEvent parse(java.lang.String data)

      Parse a trace event
      Parameters:
        `data` - The data string
      Returns:
        The event

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)